Package io.dapr.v1

# Enum CommonProtos.StateOptions.StateConcurrency

java.lang.Object
java.lang.Enum<CommonProtos.StateOptions.StateConcurrency>
io.dapr.v1.CommonProtos.StateOptions.StateConcurrency

All Implemented Interfaces:
  `com.google.protobuf.Internal.EnumLite`, `com.google.protobuf.ProtocolMessageEnum`, `Serializable`, `Comparable<CommonProtos.StateOptions.StateConcurrency>`

Enclosing class:
  CommonProtos.StateOptions

public static enum CommonProtos.StateOptions.StateConcurrency extends Enum<CommonProtos.StateOptions.StateConcurrency> implements com.google.protobuf.ProtocolMessageEnum

     Enum describing the supported concurrency for state.

Protobuf enum `dapr.proto.common.v1.StateOptions.StateConcurrency`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CONCURRENCY_FIRST_WRITE`
`CONCURRENCY_FIRST_WRITE = 1;`
`CONCURRENCY_LAST_WRITE`
`CONCURRENCY_LAST_WRITE = 2;`
`CONCURRENCY_UNSPECIFIED`
`CONCURRENCY_UNSPECIFIED = 0;`
`UNRECOGNIZED`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONCURRENCY_FIRST_WRITE_VALUE`
`CONCURRENCY_FIRST_WRITE = 1;`
`static final int`
`CONCURRENCY_LAST_WRITE_VALUE`
`CONCURRENCY_LAST_WRITE = 2;`
`static final int`
`CONCURRENCY_UNSPECIFIED_VALUE`
`CONCURRENCY_UNSPECIFIED = 0;`

## Method Summary

Modifier and Type
Method
Description
`static CommonProtos.StateOptions.StateConcurrency`
`forNumber(int value)`
`static final com.google.protobuf.Descriptors.EnumDescriptor`
`getDescriptor()`
`final com.google.protobuf.Descriptors.EnumDescriptor`
`getDescriptorForType()`
`final int`
`getNumber()`
`final com.google.protobuf.Descriptors.EnumValueDescriptor`
`getValueDescriptor()`
`static com.google.protobuf.Internal.EnumLiteMap<CommonProtos.StateOptions.StateConcurrency>`
`internalGetValueMap()`
`static CommonProtos.StateOptions.StateConcurrency`
`valueOf(int value)`
Deprecated.
`static CommonProtos.StateOptions.StateConcurrency`
`valueOf(com.google.protobuf.Descriptors.EnumValueDescriptor desc)`
Returns the enum constant of this type with the specified name.
`static CommonProtos.StateOptions.StateConcurrency`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static CommonProtos.StateOptions.StateConcurrency[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### CONCURRENCY_UNSPECIFIED

public static final CommonProtos.StateOptions.StateConcurrency CONCURRENCY_UNSPECIFIED
`CONCURRENCY_UNSPECIFIED = 0;`

### CONCURRENCY_FIRST_WRITE

public static final CommonProtos.StateOptions.StateConcurrency CONCURRENCY_FIRST_WRITE
`CONCURRENCY_FIRST_WRITE = 1;`

### CONCURRENCY_LAST_WRITE

public static final CommonProtos.StateOptions.StateConcurrency CONCURRENCY_LAST_WRITE
`CONCURRENCY_LAST_WRITE = 2;`

### UNRECOGNIZED

public static final CommonProtos.StateOptions.StateConcurrency UNRECOGNIZED

## Field Details

### CONCURRENCY_UNSPECIFIED_VALUE

public static final int CONCURRENCY_UNSPECIFIED_VALUE
`CONCURRENCY_UNSPECIFIED = 0;`

See Also:
  - Constant Field Values

### CONCURRENCY_FIRST_WRITE_VALUE

public static final int CONCURRENCY_FIRST_WRITE_VALUE
`CONCURRENCY_FIRST_WRITE = 1;`

See Also:
  - Constant Field Values

### CONCURRENCY_LAST_WRITE_VALUE

public static final int CONCURRENCY_LAST_WRITE_VALUE
`CONCURRENCY_LAST_WRITE = 2;`

See Also:
  - Constant Field Values

## Method Details

### values

public static CommonProtos.StateOptions.StateConcurrency[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static CommonProtos.StateOptions.StateConcurrency valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### getNumber

public final int getNumber()

Specified by:
  `getNumber` in interface `com.google.protobuf.Internal.EnumLite`
Specified by:
  `getNumber` in interface `com.google.protobuf.ProtocolMessageEnum`

### valueOf

@Deprecated public static CommonProtos.StateOptions.StateConcurrency valueOf(int value)
Deprecated.
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `value` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### forNumber

public static CommonProtos.StateOptions.StateConcurrency forNumber(int value)

Parameters:
  `value` - The numeric wire value of the corresponding enum entry.
Returns:
  The enum associated with the given numeric wire value.

### internalGetValueMap

public static com.google.protobuf.Internal.EnumLiteMap<CommonProtos.StateOptions.StateConcurrency> internalGetValueMap()

### getValueDescriptor

public final com.google.protobuf.Descriptors.EnumValueDescriptor getValueDescriptor()

Specified by:
  `getValueDescriptor` in interface `com.google.protobuf.ProtocolMessageEnum`

### getDescriptorForType

public final com.google.protobuf.Descriptors.EnumDescriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.ProtocolMessageEnum`

### getDescriptor

public static final com.google.protobuf.Descriptors.EnumDescriptor getDescriptor()

### valueOf

public static CommonProtos.StateOptions.StateConcurrency valueOf(com.google.protobuf.Descriptors.EnumValueDescriptor desc)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `desc` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null